<?php

namespace domain\Communication\Email;

use domain\_\AbstractService;

class EmailModule extends AbstractService
{
    public function getEntityFqcn(): string
    {
        return '';
    }

    public function getServices(): array
    {
        return [
            EmailBuilder::class,
            ContactListResolver::class,
            EmailManager::class,
        ];
    }

    public function getBuilder(): EmailBuilder
    {
        return EmailBuilder::getInstance();
    }

    public function getManager(): EmailManager
    {
        return EmailManager::getInstance();
    }

    public function getContactListResolver(): ContactListResolver
    {
        return ContactListResolver::getInstance();
    }
}